aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh')
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh b/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh
new file mode 100755
index 00000000..9942307a
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+DRAW="dots"
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+plot "$1" using :32 with $DRAW, \
+ "" using :54 with $DRAW, \
+ "" using :42 with $DRAW
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi